# -*- Makefile -*-
# 
buildtree=build-tree/
sourcedir=w3mmee-p24-20
builddir=$(buildtree)/$(sourcedir)

extract: extract-stamp
extract-stamp:
	-rm -rf $(buildtree)
	mkdir $(buildtree)
	tar zxfC upstream/w3mmee-p24-20.tar.gz $(buildtree)
	-rm -f build-tree/w3mmee-p24-20/doc-jp/README.kokb
	touch extract-stamp

patch: patch-stamp
patch-stamp: extract-stamp
	for p in debian/patches/[0-9]*; \
	do \
		test -f $$p || continue; \
		patchopt=`sed -ne '1s/PATCH: \(.*\)/\1/p' $$p`; \
		echo "Patch: $$p ($$patchopt)"; \
		cat $$p | (cd $(builddir) && patch $$patchopt -s); \
	done
	touch patch-stamp

configure: configure-stamp
configure-stamp: extract-stamp patch-stamp
	touch configure-stamp
